<?php
header('Content-Type: text/html; charset=utf-8');
require 'database.inc.php';
if (Test_User($lg_user, $lg_password) == TRUE) {
	if ($ligne_tt = TexteType::getById($id)) {
		$ligne_commande = Commande::getCommandeByNoCommande($nocommande);
		$ligne_client = Client::getClientByNoClient($ligne_commande["NoClient"]);
		if ($novhc != '') {
			$resultat_vhc = Vehicule::getVehiculeByNoChassis($novhc);
		} else {
			$resultat_vhc = Vehicule::getVehiculeByNoChassis($ligne_commande["Vehicule"]);
		}

		$ligne_vhc = $resultat_vhc;
		$texte = $ligne_tt["texte"];
		// Client
		$texte = str_replace("[PRENOM]", $ligne_client["Prenom"], $texte);
		$texte = str_replace("[NOM]", $ligne_client["Nom"], $texte);
		$texte = str_replace("[ADRESSE]", $ligne_client["Adresse"], $texte);
		$texte = str_replace("[NPA]", $ligne_client["NPA"], $texte);
		$texte = str_replace("[LOCALITE]", $ligne_client["Localite"], $texte);
		// Vehicule
		$texte = str_replace("[NOCHASIS]", $ligne_vhc["NoChasis"], $texte);
		$texte = str_replace("[MARQUE]", $ligne_vhc["MarqueModel"], $texte);
		$texte = str_replace("[MODEL]", $ligne_vhc["Model"], $texte);
		$texte = str_replace("[COULEUR]", $ligne_vhc["Couleur"], $texte);
		$texte = str_replace("[KM]", $ligne_vhc["Km"], $texte);
		$texte = str_replace("[NOMOTEUR]", $ligne_vhc["NoMoteur"], $texte);
		$texte = str_replace("[NOMATRICULE]", Cree_Entree_Type("", 17, 0, $ligne_vhc["Matr"], AFFICHAGE), $texte);
		$texte = str_replace("[NOCLE]", $ligne_vhc["NoCle"], $texte);
		$texte = str_replace("[NOPLAQUE]", $ligne_vhc["NoPlaque"], $texte);
		$texte = str_replace("[DATECIRCUL]", Cree_Entree_Type("", 2, 0, $ligne_vhc["DateCircul"], AFFICHAGE), $texte);
		$texte = str_replace("[DATEEXPERT]", Cree_Entree_Type("", 2, 0, $ligne_vhc["DateExpert"], AFFICHAGE), $texte);
		echo $texte;
	}
}
// CREATE TABLE IF NOT EXISTS `textestypes` (
//  `id` int(11) NOT NULL AUTO_INCREMENT,
//  `scope` varchar(128) NOT NULL,
//  `description` varchar(64) NOT NULL,
//  `texte` text NOT NULL,
//  PRIMARY KEY (`id`)
// ) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
